Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.PrimitiveElement

    java.lang.Object
      java.lang.Enum<QStyle.PrimitiveElement>
          com.trolltech.qt.gui.QStyle.PrimitiveElement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.PrimitiveElement>

Enclosing class:
  QStyle

    public static enum QStyle.PrimitiveElement

extends java.lang.Enum<QStyle.PrimitiveElement>
implements QtEnumerator

This enum describes that various primitive elements. A primitive element is a common GUI element, such as a checkbox indicator or button bevel.

See Also:
  `drawPrimitive`

Enum Constant Summary
`CustomEnum`
`PE_CustomBase` Base value for custom primitive elements.
`PE_Frame` Generic frame; see also `QFrame`.
`PE_FrameButtonBevel` Panel frame for a button bevel.
`PE_FrameButtonTool` Panel frame for a tool button.
`PE_FrameDefaultButton` This frame around a default button, e.g. in a dialog.
`PE_FrameDockWidget` Panel frame for dock windows and toolbars.
`PE_FrameFocusRect` Generic focus indicator.
`PE_FrameGroupBox` Panel frame around group boxes.
`PE_FrameLineEdit` Panel frame for line edits.
`PE_FrameMenu` Frame for popup windows/menus; see also `QMenu`.
`PE_FrameStatusBar` Frame for a section of a status bar; see also `QStatusBar`.
`PE_FrameTabBarBase` The frame that is drawn for a tab bar, ususally drawn for a tab bar that isn't part of a tab widget.
`PE_FrameTabWidget` Frame for tab widgets.
`PE_FrameWindow` Frame around a MDI window or a docking window.
`PE_IndicatorArrowDown` Generic Down arrow.
`PE_IndicatorArrowLeft` Generic Left arrow.
`PE_IndicatorArrowRight` Generic Right arrow.
`PE_IndicatorArrowUp` Generic Up arrow.
`PE_IndicatorBranch` Lines used to represent the branch of a tree in a tree view.
`PE_IndicatorButtonDropDown` Indicator for a drop down button, for example, a tool button that displays a menu.
`PE_IndicatorCheckBox` On/off indicator, for example, a `QCheckBox`.
`PE_IndicatorColumnViewArrow` An arrow in a `QColumnView`.
`PE_IndicatorDockWidgetResizeHandle` Resize handle for dock windows.
`PE_IndicatorHeaderArrow` Arrow used to indicate sorting on a list or table header.
`PE_IndicatorMenuCheckMark` Check mark used in a menu.
`PE_IndicatorProgressChunk` Section of a progress bar indicator; see also `QProgressBar`.
`PE_IndicatorRadioButton` Exclusive on/off indicator, for example, a `QRadioButton`.
`PE_IndicatorSpinDown` Down symbol for a spin widget.
`PE_IndicatorSpinMinus` Decrease symbol for a spin widget.
`PE_IndicatorSpinPlus` Increase symbol for a spin widget.
`PE_IndicatorSpinUp` Up symbol for a spin widget, for example a `QSpinBox`.
`PE_IndicatorTabTear` An indicator that a tab is partially scrolled out of the visible tab bar when there are many tabs.
`PE_IndicatorToolBarHandle` The handle of a toolbar.
`PE_IndicatorToolBarSeparator` The separator in a toolbar.
`PE_IndicatorViewItemCheck` On/off indicator for a view item.
`PE_PanelButtonBevel` Generic panel with a button bevel.
`PE_PanelButtonCommand` Button used to initiate an action, for example, a `QPushButton`.
`PE_PanelButtonTool` Panel for a Tool button, used with `QToolButton`.
`PE_PanelLineEdit` Panel for a `QLineEdit`.
`PE_PanelMenuBar` Panel for menu bars.
`PE_PanelScrollAreaCorner` Panel at the bottom-right (or bottom-left) corner of a scroll area.
`PE_PanelTipLabel` The panel for a tip label.
`PE_PanelToolBar` The panel for a toolbar.
`PE_Q3CheckListController` Qt 3 compatible controller part of a list view item.
`PE_Q3CheckListExclusiveIndicator` Qt 3 compatible radio button part of a list view item.
`PE_Q3CheckListIndicator` Qt 3 compatible checkbox part of a list view item.
`PE_Q3DockWindowSeparator` Item separator for Qt 3 compatible dock window and toolbar contents.
`PE_Q3Separator` Qt 3 compatible generic separator.
`PE_Widget` A plain `QWidget`.

Method Summary
`static QStyle.PrimitiveElement` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.PrimitiveElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.PrimitiveElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PE_Q3CheckListController

    public static final QStyle.PrimitiveElement PE_Q3CheckListController

  Qt 3 compatible controller part of a list view item.

### PE_Q3CheckListExclusiveIndicator

    public static final QStyle.PrimitiveElement PE_Q3CheckListExclusiveIndicator

  Qt 3 compatible radio button part of a list view item.

### PE_Q3CheckListIndicator

    public static final QStyle.PrimitiveElement PE_Q3CheckListIndicator

  Qt 3 compatible checkbox part of a list view item.

### PE_Q3DockWindowSeparator

    public static final QStyle.PrimitiveElement PE_Q3DockWindowSeparator

  Item separator for Qt 3 compatible dock window and toolbar contents.

### PE_Q3Separator

    public static final QStyle.PrimitiveElement PE_Q3Separator

  Qt 3 compatible generic separator.

### PE_Frame

    public static final QStyle.PrimitiveElement PE_Frame

  Generic frame; see also `QFrame`.

### PE_FrameDefaultButton

    public static final QStyle.PrimitiveElement PE_FrameDefaultButton

  This frame around a default button, e.g. in a dialog.

### PE_FrameDockWidget

    public static final QStyle.PrimitiveElement PE_FrameDockWidget

  Panel frame for dock windows and toolbars.

### PE_FrameFocusRect

    public static final QStyle.PrimitiveElement PE_FrameFocusRect

  Generic focus indicator.

### PE_FrameGroupBox

    public static final QStyle.PrimitiveElement PE_FrameGroupBox

  Panel frame around group boxes.

### PE_FrameLineEdit

    public static final QStyle.PrimitiveElement PE_FrameLineEdit

  Panel frame for line edits.

### PE_FrameMenu

    public static final QStyle.PrimitiveElement PE_FrameMenu

  Frame for popup windows/menus; see also `QMenu`.

### PE_FrameStatusBar

    public static final QStyle.PrimitiveElement PE_FrameStatusBar

  Frame for a section of a status bar; see also `QStatusBar`.

### PE_FrameTabWidget

    public static final QStyle.PrimitiveElement PE_FrameTabWidget

  Frame for tab widgets.

### PE_FrameWindow

    public static final QStyle.PrimitiveElement PE_FrameWindow

  Frame around a MDI window or a docking window.

### PE_FrameButtonBevel

    public static final QStyle.PrimitiveElement PE_FrameButtonBevel

  Panel frame for a button bevel.

### PE_FrameButtonTool

    public static final QStyle.PrimitiveElement PE_FrameButtonTool

  Panel frame for a tool button.

### PE_FrameTabBarBase

    public static final QStyle.PrimitiveElement PE_FrameTabBarBase

  The frame that is drawn for a tab bar, ususally drawn for a tab bar that isn't part of a tab widget.

### PE_PanelButtonCommand

    public static final QStyle.PrimitiveElement PE_PanelButtonCommand

  Button used to initiate an action, for example, a `QPushButton`.

### PE_PanelButtonBevel

    public static final QStyle.PrimitiveElement PE_PanelButtonBevel

  Generic panel with a button bevel.

### PE_PanelButtonTool

    public static final QStyle.PrimitiveElement PE_PanelButtonTool

  Panel for a Tool button, used with `QToolButton`.

### PE_PanelMenuBar

    public static final QStyle.PrimitiveElement PE_PanelMenuBar

  Panel for menu bars.

### PE_PanelToolBar

    public static final QStyle.PrimitiveElement PE_PanelToolBar

  The panel for a toolbar.

### PE_PanelLineEdit

    public static final QStyle.PrimitiveElement PE_PanelLineEdit

  Panel for a `QLineEdit`.

### PE_IndicatorArrowDown

    public static final QStyle.PrimitiveElement PE_IndicatorArrowDown

  Generic Down arrow.

### PE_IndicatorArrowLeft

    public static final QStyle.PrimitiveElement PE_IndicatorArrowLeft

  Generic Left arrow.

### PE_IndicatorArrowRight

    public static final QStyle.PrimitiveElement PE_IndicatorArrowRight

  Generic Right arrow.

### PE_IndicatorArrowUp

    public static final QStyle.PrimitiveElement PE_IndicatorArrowUp

  Generic Up arrow.

### PE_IndicatorBranch

    public static final QStyle.PrimitiveElement PE_IndicatorBranch

  Lines used to represent the branch of a tree in a tree view.

### PE_IndicatorButtonDropDown

    public static final QStyle.PrimitiveElement PE_IndicatorButtonDropDown

  Indicator for a drop down button, for example, a tool button that displays a menu.

### PE_IndicatorViewItemCheck

    public static final QStyle.PrimitiveElement PE_IndicatorViewItemCheck

  On/off indicator for a view item.

### PE_IndicatorCheckBox

    public static final QStyle.PrimitiveElement PE_IndicatorCheckBox

  On/off indicator, for example, a `QCheckBox`.

### PE_IndicatorDockWidgetResizeHandle

    public static final QStyle.PrimitiveElement PE_IndicatorDockWidgetResizeHandle

  Resize handle for dock windows.

### PE_IndicatorHeaderArrow

    public static final QStyle.PrimitiveElement PE_IndicatorHeaderArrow

  Arrow used to indicate sorting on a list or table header.

### PE_IndicatorMenuCheckMark

    public static final QStyle.PrimitiveElement PE_IndicatorMenuCheckMark

  Check mark used in a menu.

### PE_IndicatorProgressChunk

    public static final QStyle.PrimitiveElement PE_IndicatorProgressChunk

  Section of a progress bar indicator; see also `QProgressBar`.

### PE_IndicatorRadioButton

    public static final QStyle.PrimitiveElement PE_IndicatorRadioButton

  Exclusive on/off indicator, for example, a `QRadioButton`.

### PE_IndicatorSpinDown

    public static final QStyle.PrimitiveElement PE_IndicatorSpinDown

  Down symbol for a spin widget.

### PE_IndicatorSpinMinus

    public static final QStyle.PrimitiveElement PE_IndicatorSpinMinus

  Decrease symbol for a spin widget.

### PE_IndicatorSpinPlus

    public static final QStyle.PrimitiveElement PE_IndicatorSpinPlus

  Increase symbol for a spin widget.

### PE_IndicatorSpinUp

    public static final QStyle.PrimitiveElement PE_IndicatorSpinUp

  Up symbol for a spin widget, for example a `QSpinBox`.

### PE_IndicatorToolBarHandle

    public static final QStyle.PrimitiveElement PE_IndicatorToolBarHandle

  The handle of a toolbar.

### PE_IndicatorToolBarSeparator

    public static final QStyle.PrimitiveElement PE_IndicatorToolBarSeparator

  The separator in a toolbar.

### PE_PanelTipLabel

    public static final QStyle.PrimitiveElement PE_PanelTipLabel

  The panel for a tip label.

### PE_IndicatorTabTear

    public static final QStyle.PrimitiveElement PE_IndicatorTabTear

  An indicator that a tab is partially scrolled out of the visible tab bar when there are many tabs.

### PE_PanelScrollAreaCorner

    public static final QStyle.PrimitiveElement PE_PanelScrollAreaCorner

  Panel at the bottom-right (or bottom-left) corner of a scroll area.

### PE_Widget

    public static final QStyle.PrimitiveElement PE_Widget

  A plain `QWidget`.

### PE_IndicatorColumnViewArrow

    public static final QStyle.PrimitiveElement PE_IndicatorColumnViewArrow

  An arrow in a `QColumnView`.

### PE_CustomBase

    public static final QStyle.PrimitiveElement PE_CustomBase

  Base value for custom primitive elements. All values above this are reserved for custom use. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.PrimitiveElement CustomEnum

Method Detail

### values

    public static final QStyle.PrimitiveElement[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.PrimitiveElement c : QStyle.PrimitiveElement.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.PrimitiveElement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.PrimitiveElement resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD